Name:		openbrain
Version:	0.0.2.6.4
Release:	1%{?dist}
Summary:	Attempts as a new interface for KDE4, an AI plasmoid

Group:		User Interface/Desktops
License:	GPL+
URL:		http://kde-apps.org/content/show.php/OpenBrain?content=95913
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/Active%20Stable%20Release/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	qt-devel, cmake, kdebase-workspace-devel
Requires:	kdebase-workspace
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%global kde4_version %((kde4-config --version 2>/dev/null || echo "KDE 4.3.0") | grep ^KDE | cut -d' ' -f2)

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
OpenBrain is attempting a new interface for the KDE4 desktop 
(an Artificial Intelligence plasmoid), with which, users can type 
english instruction sets to an aiml bot to accomplish common computing tasks 
(such as emailing, googleing, browsing wikipedia, or just chatting). 
This project is still under early development, and this release is only to 
verify a platform on which to develop AIML code 
(see the A.L.I.C.E Projects and AIML Wiki page for more info).

This new version of OpenBrain supports application management with commands 
like 'firefox', 'launch gimp', 'start konsole', or 'killall python'. 
OpenBrain also can google things with 'google things' or 'google image things'.

%package	libs
Summary:	Openbrain library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	libs
This package provides the needed openbrain library

%prep
%setup -q -n openbrain
## fix world-writeable and non-standard-executable-perm
sed -i 's,WORLD_WRITE,,' CMakeLists.txt
sed -i 's,GROUP_WRITE,,' CMakeLists.txt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README changelog bugs
%{_kde4_appsdir}/openbrain/
%{_kde4_datadir}/kde4/services/plasma-applet-openbrain.desktop

%files	libs
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plasma_applet_openbrain.so

%changelog
* Sun Nov 01 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.0.2.6.4-1
- Initial Fedora release 0.0.2.6.4